Subject: [OPSAWG]Re: WG LAST CALL: A Data Manifest for Contextualized Telemetry Data
From: Zhuoyao Lin <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 9 Jan 2025 12:17:35 +0000
List-Id: OPSA Working Group Mail List <opsawg.ietf.org>

Dear authors and OPSAWG,

I have reviewed the draft-ietf-opsawg-collected-data-manifest-05 but the usage of yang-library is still a bit unclear to me.

  1.  In  Section 3.1, it states:

                   "That module set is particularly useful to analyze the
         xpath filters, as they are based on module names (see [RFC8639], page
        47)."
               I am trying to understand what type of usage of xpath it is talking about here? Maybe it is worth to put the explanation in the Section 1.1 Use cases?

  1.  Still in section 3.1, it states:

                   "The Platform Manifest is obtained by specifying the new fields

        defined above and mounting the YANG library module, along with the

        YANG Revisions augmentations."

I can't find the YANG revision augmentations in the module. Is it talking about the semantic revision here or only the revision for the YANG module? If it is the former, the related draft should be cited.

However, I believe the draft is pretty complete in terms of providing the metadata for performing telemetry. Therefore I would like to support the adoption of this draft.

Best regards,
Zhuoyao Lin

From: Joe Clarke (jclarke) <jclarke=[email-masked]>
Sent: Monday, January 6, 2025 4:08 PM
To: [email-masked]
Subject: [OPSAWG]Re: WG LAST CALL: A Data Manifest for Contextualized Telemetry Data

Happy New Year, WG.  Because of the holidays I didn't get a chance to officially close this in time.  However, we did not get any WGLC feedback during the window.  Only yesterday did some substantive feedback come from Alex (thanks!).

As such, we are going to conduct another WGLC now that the holiday cycle is behind us.  We'll consider Alex's comments as part of that.

This begins a second WGLC to run until January 20.  Please provide all comments (including a "yay" if you feel it is ready) on the mailing list.

Joe

From: Joe Clarke (jclarke) <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, November 27, 2024 at 09:39
To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: WG LAST CALL: A Data Manifest for Contextualized Telemetry Data
Hello, WG (and a Happy Thanksgiving to those of you in the US).  With the IPR poll concluded (no IPR has been reported), we'd like to kick off a two week WG LC on draft-ietf-opsawg-collected-data-manifest<https://datatracker.ietf.org/doc/draft-ietf-opsawg-collected-data-manifest/>.

Please review this draft and provide comments on-list.  If you feel this draft is ready for publication, please respond as such on-list.  We will kick off DIR reviews with OPS and YANG docs to get a couple more eyes on it.  We are also in need of a shepherd for this document.  If you are interested, please let the chairs know.

The WG LC will conclude on December 11.

Joe